DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-10-08-Licenses_Code';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=14252) THEN
			RETURN;
		END IF;

		BEGIN
			ALTER TABLE  public."Licenses" ADD "Code" character varying(1500) NULL; 
 
 			INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-10-08-Licenses_Code: %', SQLERRM;
		END;
	END;
$$ 